Package org.eclipse.birt.chart.model.attribute

# Enum TickStyle

java.lang.Object
java.lang.Enum<TickStyle>
org.eclipse.birt.chart.model.attribute.TickStyle

All Implemented Interfaces:
  `Serializable`, `Comparable<TickStyle>`, `java.lang.constant.Constable`, `org.eclipse.emf.common.util.Enumerator`

public enum TickStyle extends Enum<TickStyle> implements org.eclipse.emf.common.util.Enumerator
A representation of the literals of the enumeration ' Tick Style', and utility methods for working with them. This type represents the possible values for tick positions.

See Also:
  - `AttributePackage.getTickStyle()`

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ABOVE_LITERAL`
The 'Above' literal object.
`ACROSS_LITERAL`
The 'Across' literal object.
`BELOW_LITERAL`
The 'Below' literal object.
`LEFT_LITERAL`
The 'Left' literal object.
`RIGHT_LITERAL`
The 'Right' literal object.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`ABOVE`
The 'Above' literal value.
`static final int`
`ACROSS`
The 'Across' literal value.
`static final int`
`BELOW`
The 'Below' literal value.
`static final int`
`LEFT`
The 'Left' literal value.
`static final int`
`RIGHT`
The 'Right' literal value.
`static final List<TickStyle>`
`VALUES`
A public read-only list of all the 'Tick Style' enumerators.

## Method Summary

Modifier and Type
Method
Description
`static TickStyle`
`get(int value)`
Returns the 'Tick Style' literal with the specified integer value.
`static TickStyle`
`get(String literal)`
Returns the 'Tick Style' literal with the specified literal value.
`static TickStyle`
`getByName(String name)`
Returns the 'Tick Style' literal with the specified name.
`String`
`getLiteral()`
`String`
`getName()`
`int`
`getValue()`
`String`
`toString()`
Returns the literal value of the enumerator, which is its string representation.
`static TickStyle`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static TickStyle[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### LEFT_LITERAL

public static final TickStyle LEFT_LITERAL
The 'Left' literal object.

If the meaning of 'Left' literal object isn't clear, there really should be more of a description here...

See Also:
  - `LEFT`

### RIGHT_LITERAL

public static final TickStyle RIGHT_LITERAL
The 'Right' literal object.

If the meaning of 'Right' literal object isn't clear, there really should be more of a description here...

See Also:
  - `RIGHT`

### ABOVE_LITERAL

public static final TickStyle ABOVE_LITERAL
The 'Above' literal object.

If the meaning of 'Above' literal object isn't clear, there really should be more of a description here...

See Also:
  - `ABOVE`

### BELOW_LITERAL

public static final TickStyle BELOW_LITERAL
The 'Below' literal object.

If the meaning of 'Below' literal object isn't clear, there really should be more of a description here...

See Also:
  - `BELOW`

### ACROSS_LITERAL

public static final TickStyle ACROSS_LITERAL
The 'Across' literal object.

If the meaning of 'Across' literal object isn't clear, there really should be more of a description here...

See Also:
  - `ACROSS`

## Field Details

### LEFT

public static final int LEFT
The 'Left' literal value.

See Also:
  - `LEFT_LITERAL`
  - Constant Field Values

### RIGHT

public static final int RIGHT
The 'Right' literal value.

See Also:
  - `RIGHT_LITERAL`
  - Constant Field Values

### ABOVE

public static final int ABOVE
The 'Above' literal value.

See Also:
  - `ABOVE_LITERAL`
  - Constant Field Values

### BELOW

public static final int BELOW
The 'Below' literal value.

See Also:
  - `BELOW_LITERAL`
  - Constant Field Values

### ACROSS

public static final int ACROSS
The 'Across' literal value.

See Also:
  - `ACROSS_LITERAL`
  - Constant Field Values

### VALUES

public static final List<TickStyle> VALUES
A public read-only list of all the 'Tick Style' enumerators.

## Method Details

### values

public static TickStyle[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static TickStyle valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### get

public static TickStyle get(String literal)
Returns the 'Tick Style' literal with the specified literal value.

### getByName

public static TickStyle getByName(String name)
Returns the 'Tick Style' literal with the specified name.

### get

public static TickStyle get(int value)
Returns the 'Tick Style' literal with the specified integer value.

### getValue

public int getValue()

Specified by:
  `getValue` in interface `org.eclipse.emf.common.util.Enumerator`

### getName

public String getName()

Specified by:
  `getName` in interface `org.eclipse.emf.common.util.Enumerator`

### getLiteral

public String getLiteral()

Specified by:
  `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`

### toString

public String toString()
Returns the literal value of the enumerator, which is its string representation.

Overrides:
  `toString` in class `Enum<TickStyle>`